{
    "format_version": "1.16.100",
    "minecraft:item": {
        "description": {
            "identifier": "hog:golden_longsword",
            "category": "equipment"
        },
        "components": {
            "minecraft:max_stack_size": 1,
            "minecraft:icon": {
                "texture": "gold_longsword"
            },
            "minecraft:display_name": {
                "value": "Golden Longsword"
            },
            "minecraft:durability": {
                "max_durability": 33
            },
            "minecraft:enchantable": {
                "slot": "sword",
                "value": 10
            },
            "minecraft:render_offsets": {
                "main_hand": {
                    "third_person": {
                        "position": [0.55,2.3,-0.8]
                    }
                }
            },
            "minecraft:weapon": {
                "on_hurt_entity": {
                    "event": "durability_update"
                }
            },
            "minecraft:creative_category": {
                "parent": "itemGroup.name.sword"
            },
            "minecraft:hand_equipped": true,
            "tag:is_sword": {},
            "minecraft:repairable": {
                "repair_items": [
                    {
                        "items": ["minecraft:gold_ingot"],
                        "repair_amount": "q.max_durability / 3"
                    },
                    {
                        "items": ["hog:golden_longsword"],
                        "repair_amount": "q.remaining_durability + q.remaining_durability * 0.05"
                    }
                ]
            },
            "minecraft:damage": 6
        },
        "events": {
            "durability_update": {
                "damage": {
                    "type": "durability",
                    "amount": 1,
                    "target": "self"
                }
            }
        }
    }
}